import { StorageProvider } from '@smcloudstore/core/dist/StorageProvider';
declare const SMCloudStore: {
    /**
     * Initializes a new client to interact with cloud providers' object storage services.
     *
     * @param provider - Name of the cloud provider to use (see `SMCloudStore.Providers`)
     * @param connection - Dictionary with connection options. List of keys is specific for every cloud provider
     * @returns An instance of a cloud provider module
     */
    Create: (provider: string, connection: any) => StorageProvider;
    /**
     * Returns a list of supported providers.
     *
     * @returns List of supported provider names
     */
    Providers: () => string[];
};
export = SMCloudStore;
